html {
  background: url("./assets/background.png") no-repeat center center fixed;
  background: url("https://github.com/Thinkful-Ed/js-dev-final-capstone-starter/blob/main/assets/background.png?raw=true")
    no-repeat center center fixed;
  box-sizing: border-box;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  z-index: 0;
  overflow: hidden;
  margin: 5%;
}
body {
  margin: 0;
  font-family: "Times New Roman", "Courier New", serif;
}
h1 {
  text-align: center;
  font-size: 48px;
  font-family: "Open Sans", "Caslon", "Arial", sans-serif;
  color: firebrick;
  -webkit-text-stroke: 1px indianred;
  margin-top: 0; /* Removes any space above the title */
  padding-top: 0; /* Removes padding above the title, if any */
}
h2 {
  text-align: center;
  font-family: "Garamond", "Times New Roman", serif;
  font-size: 24px;
  color: white;
  margin: 10px;
}
#start {
  text-align: center;
  color: darkgoldenrod;
  font-weight: bold;
  font-size: 15px;
}
#timer {
  color: firebrick;
  -webkit-text-stroke: 1px indianred;
}
#difficulty-selector {
  text-align: center;
  font-size: 18px;
  padding-bottom: 18px;
}
.score {
  color: red;
  -webkit-text-stroke: 2px lightcoral;
}
.easy {
  color: green;
  -webkit-text-stroke: 1px lightgreen;
}
.medium {
  color: orange;
  -webkit-text-stroke: 1px pink;
}
.hard {
  color: red;
  -webkit-text-stroke: 1px pink;
}
.button {
  margin: auto;
  position: absolute;
  width: 50%;
}
.center {
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-direction: column;
}
.label {
  font-size: 18px;
  color: darkgreen;
}
.grid {
  width: auto;
  height: auto;
  display: grid;
  gap: 10px;
  cursor: url("../assets/mallet.png"), pointer;
}
.holes-container {
  display: grid;
  grid-template-columns: repeat(
    3,
    1fr
  ); /* Adjusts the number of holes per row */
  grid-gap: 10px; /* Adjusts the gap between the holes */
  width: 80%; /* Ensures the container takes up full width */
  min-height: 100px;
  height: auto;
  justify-items: center; /* Centers the holes horizontally */
  align-items: center; /* Centers the holes vertically */
  margin: auto;
  align-content: center;
  margin-top: 20px;
}
.hole {
  width: 80px;
  height: 80px;
  position: relative;
}
.hole:after {
  display: block;
  background: url("https://github.com/Thinkful-Ed/js-dev-final-capstone-starter/blob/main/assets/hole.png?raw=true")
    bottom center no-repeat;
  background-size: contain;
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  bottom: 0;
  z-index: 1;
  pointer-events: none;
}
.mole {
  position: absolute;
  display: none;
  background: url("https://github.com/Thinkful-Ed/js-dev-final-capstone-starter/blob/main/assets/mole.png?raw=true")
    bottom center no-repeat;
  background-size: 40%;
  top: 25%;
  left: 25%;
  width: 50%;
  height: 50%;
  transition: transform 0.5s, opacity 0.3s ease;
  pointer-events: auto;
  transform: translate(-50%, -50%); /* Center the mole */
  opacity: 0;
  z-index: 2;
}
.hole.show .mole {
  display: block;
  opacity: 1;
  top: 0;
  transform: scale(1.1);
}
